---
title: ManagedBuffer
summary: Provide a copyable/moveable wrapper around llarp_buffer_t. 

---

# ManagedBuffer



Provide a copyable/moveable wrapper around `[llarp_buffer_t]()`. 


`#include <buffer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ManagedBuffer](Classes/structManagedBuffer.md#function-managedbuffer)**() =delete |
| | **[ManagedBuffer](Classes/structManagedBuffer.md#function-managedbuffer)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & b) |
| | **[ManagedBuffer](Classes/structManagedBuffer.md#function-managedbuffer)**([ManagedBuffer](Classes/structManagedBuffer.md) && ) =default |
| | **[ManagedBuffer](Classes/structManagedBuffer.md#function-managedbuffer)**(const [ManagedBuffer](Classes/structManagedBuffer.md) & ) =default |
| | **[operator const llarp_buffer_t &](Classes/structManagedBuffer.md#function-operator-const-llarp-buffer-t-&)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp_buffer_t](Classes/structllarp__buffer__t.md) | **[underlying](Classes/structManagedBuffer.md#variable-underlying)**  |

## Public Functions Documentation

### function ManagedBuffer

```cpp
ManagedBuffer() =delete
```


### function ManagedBuffer

```cpp
inline explicit ManagedBuffer(
    const llarp_buffer_t & b
)
```


### function ManagedBuffer

```cpp
ManagedBuffer(
    ManagedBuffer && 
) =default
```


### function ManagedBuffer

```cpp
ManagedBuffer(
    const ManagedBuffer & 
) =default
```


### function operator const llarp_buffer_t &

```cpp
inline operator const llarp_buffer_t &() const
```


## Public Attributes Documentation

### variable underlying

```cpp
llarp_buffer_t underlying;
```


-------------------------------

Updated on 2023-04-27 at 04:17:16 +0000